package de.sourcecode.dc2;

import android.content.Context;
import android.util.AttributeSet;
import android.util.Log;
import android.view.Gravity;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;

public class DC2ButtonBar extends LinearLayout {
	private Button btnAdd;
	private Button btnEdit;
	private Button btnRemove;
	private Button btnRefresh;
	
	public DC2ButtonBar(Context context, AttributeSet attrs) {
		super(context,attrs);
		setOrientation(HORIZONTAL);
		setGravity(Gravity.CENTER_HORIZONTAL);
		LayoutInflater.from(context).inflate(R.layout.table_buttonbar,this,true);
		btnAdd=(Button) findViewById(R.id.buttonbar_btn_add);
		btnEdit=(Button) findViewById(R.id.buttonbar_btn_edit);
		btnRemove=(Button) findViewById(R.id.buttonbar_btn_remove);
		btnRefresh=(Button) findViewById(R.id.buttonbar_btn_refresh);
		btnAdd.setEnabled(false);
		btnEdit.setEnabled(false);
		btnRemove.setEnabled(false);
		btnRefresh.setEnabled(false);
	}
	
	public void setEnableAdd(boolean enabled) {
		btnAdd.setEnabled(enabled);
	}
	
	public void setEnableEdit(boolean enabled) {
		btnEdit.setEnabled(enabled);
	}
	public void setEnableRemove(boolean enabled) {
		btnRemove.setEnabled(enabled);		
	}
	
	public void setEnableRefresh(boolean enabled) {
		btnRefresh.setEnabled(enabled);
	}
	
}
