package de.sourcecode.dc2;

import android.content.SharedPreferences;
import android.os.Bundle;
import android.preference.EditTextPreference;
import android.preference.PreferenceActivity;
import android.util.Log;

public class Preferences extends PreferenceActivity {
	private static final String TAG= "Preferences Activity";
	private static final String PREFS_NAME="DC2Preferences";
	@Override
	protected void onCreate(Bundle saveInstanceState) {
		super.onCreate(saveInstanceState);
		addPreferencesFromResource(R.xml.dc2_preferences);		
	}
	
	@Override
	protected void onStop() {
		Log.d(TAG,"onStop Called");
		SharedPreferences settings=getSharedPreferences(PREFS_NAME,0);
		SharedPreferences.Editor editor=settings.edit();
		
		EditTextPreference rpcURL=(EditTextPreference) findPreference("rpc_url");
		EditTextPreference username=(EditTextPreference) findPreference("pref_username");
		EditTextPreference password=(EditTextPreference) findPreference("pref_password");
		if (rpcURL!=null) {
			editor.putString("DC2_RPC_URL", rpcURL.getText());
			editor.putString("DC2_USERNAME", username.getText());
			editor.putString("DC2_PASSWORD",password.getText());
		}
		editor.commit();
		super.onStop();
	}
}
